// NTPartTypes.h
//
// (c) NiXPS NV, April 2007

#ifndef _NTPARTTYPE_H_
#define _NTPARTTYPE_H_

namespace NCommon
{

namespace Part
{

enum Type
{
	Unknown						= 0, // Unknown (new?) type
	FixedDocumentSequence		= 1,
	FixedDocument				= 2,
	FixedPage					= 3,
	Thumbnail					= 4,
	CoreProperties				= 5,
	ExtendedProperties			= 6,
	ContentTypes				= 7,
	PrintTicket					= 8,
	Font						= 9,
	// RestrictedFont			= 10,
	Image						= 10,
	Relationship				= 11,
	PackageRelationship			= 12,
	StoryFragments				= 13,
	DocumentStructure			= 14,
	ResourceDictionary			= 15,
	ColorProfile				= 16,
	UnknownResource				= 17
};

}

};

#endif

