// Code
//
// example plug-in code
//
// (c) NiXPS NV, Februari 2008

#include "NTypes.h"
#include "Code.h"

#include "NOPackage.h"
#include "NODocument.h"

void processEvent(NPEventStruct *pEvent)
{
	if (!pEvent->mPackage)
	{
		logMessage("no package left");
		return;
	}
	
	NiXPSObjects::NODocument lDoc(*pEvent->mDocument);
	int lNum=lDoc.getNumberOfPages();

	char buffer[1024];
	char *lEvent=(char *)&(pEvent->mEvent);
	sprintf(buffer,"got event: '%c%c%c%c' - pages:%d",lEvent[3],lEvent[2],lEvent[1],lEvent[0],lNum);
	logMessage(buffer);
}
