// NOFontVector
//
// (c) NiXPS NV, June 2007

/*! \file NOImageVector.cpp
    \brief Implementation of the NOImageVector class
*/

#include "NOImageVector.h"

namespace NiXPSObjects
{
// constructor
NOImageVector::NOImageVector(NOPackage &pPackage): NOVector(&pPackage)
{
}

// destructor
NOImageVector::~NOImageVector()
{
}

// returns the image at index pIndex
NOImage NOImageVector::elementAt(const UInt32 pIndex) const
{
	NOImageHandler lHandler=NOHandler_empty();
	lHandler.mPackage=mHandler.mPackage;
	lHandler.mID=getPartIDAtIndex(pIndex);
	lHandler.mType=Part::Image;
	return NOImage(lHandler);
}
}