// NOLibrary.h
//
// NOLibrary: NOLibrary class
//			
//
// (c) NiXPS NV, January 2008

/*! \file NOLibrary.cpp
    \brief Implementation of the NOLibrary class
*/
#include <sstream>

#include "NTypes.h"
#include "NOLibrary.h"

namespace NiXPSObjects
{

/*static*/ void NOLibrary::Initialize(const NCommon::UTF8Char *pLicenseKey)
{
	NOLibrary_Initialize(const_cast<UTF8Char *>(pLicenseKey));
}

/*static*/ void NOLibrary::GetVersion(NCommon::UInt32 &pMajor, NCommon::UInt32 &pMinor, NCommon::UInt32 &pRevision, NCommon::UInt32 &pBuild, NCommon::UInt32 &pState)
{
	NOLibrary_GetVersion(&pMajor, &pMinor, &pRevision, &pBuild, &pState);
}
};
