// NOOptions.cpp
//
// NOOptions
//
// (c) NiXPS NV, April 2009

/*! \file NOOptions.cpp
    \brief Implementation of the NOOptions class
*/

#include "NOOptions.h"

namespace NiXPSObjects
{

// doC# public NiXPS.NOVoidHandler mHandler;

// constructor: object is always linked to a specific package (and probably also a specific part)
NOOptions::NOOptions()
{
	mHandler=NOOptions_new();
}
 
// destructor
NOOptions::~NOOptions()
{
	NOOptions_delete(&mHandler);
}

void NOOptions::setOption(UTF8Char *pSource, UTF8Char *pDestination)
{
	NOOptions_setOption(&mHandler, const_cast<UTF8Char *>(pSource), const_cast<UTF8Char *>(pDestination));
}

}

