// NOStringVector.cpp
//
// NOStringVector
//
// (c) NiXPS NV, February 2008

/*! \file NOStringVector.cpp
    \brief Implementation of the NOStringVector class
*/

#include "NOStringVector.h"

using namespace NCommon;

namespace NiXPSObjects
{

// doC# public NiXPS.NOStringVectorHandler mHandler;

NOStringVector::NOStringVector()
{
	mHandler=NOStringVector_new();
}

NOStringVector::~NOStringVector()
{
	NOStringVector_delete(&mHandler);
}

NOString NOStringVector::getString(UInt32 pIndex)
{
	NOString lString;
	NOStringVector_getString(&mHandler,pIndex,&lString.mHandler);
	return lString;
}

NCommon::UInt32 NOStringVector::getSize()
{
	return NOStringVector_getSize(&mHandler);
}

NOStringVectorHandler NOStringVector::getHandler()
{
	return mHandler;
}

void NOStringVector::clear()
{
	NOStringVector_clear(&mHandler);
}
}