// NOXBreak header file
//
// (c) NDR 2007-2008, NiXPS NV, All rights reserved

#ifndef _NOXBreak_h_
#define _NOXBreak_h_

/*! \file NOXBreak.h
	\brief Header file for the NOXBreak class
*/


#include "NOXPrefix.h"

extern "C" {
DLLIMPORTEXPORT void NAXBreak_intialize(NOXHandler *pHandler);
}

namespace NiXPSObjects
{

using namespace NCommon;

/*!
 * \class NOXBreak NOXBreak.h "NOXPrefix.h"
 * Class NOXBreak
 */
class NOXBreak
{
	public:
		NOXHandler mHandler;
		NOXBreak()
		{
			NIXPS_TRACE;

			mHandler.mDoc=0;
			mHandler.mType=0;
			mHandler.mCursor=0;
			mHandler.mError=0;
		}
		NOXBreak(NOXHandler pHandler): mHandler(pHandler) {}

		/// Initialize
		/*public*/ void intialize()
		{
			NAXBreak_intialize(&mHandler);
		}

};

}

#endif
