// NOXResourceDictionary header file
//
// (c) NDR 2007-2008, NiXPS NV, All rights reserved

#ifndef _NOXResourceDictionary_h_
#define _NOXResourceDictionary_h_

/*! \file NOXResourceDictionary.h
	\brief Header file for the NOXResourceDictionary class
*/


#include "NOXPrefix.h"

extern "C" {
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getImageBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumImageBrush(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createImageBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteImageBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getLinearGradientBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumLinearGradientBrush(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createLinearGradientBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteLinearGradientBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getRadialGradientBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumRadialGradientBrush(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createRadialGradientBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteRadialGradientBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getVisualBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumVisualBrush(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createVisualBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteVisualBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getSolidColorBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumSolidColorBrush(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createSolidColorBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteSolidColorBrush(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getMatrixTransform(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumMatrixTransform(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createMatrixTransform(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteMatrixTransform(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getPathGeometry(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumPathGeometry(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createPathGeometry(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deletePathGeometry(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getPath(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumPath(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createPath(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deletePath(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getGlyphs(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumGlyphs(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createGlyphs(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteGlyphs(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getCanvas(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumCanvas(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_createCanvas(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_deleteCanvas(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT void NAXResourceDictionary_getSource(NOXHandler *pHandler, NOXUriBase *pOut);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_hasSource(NOXHandler *pHandler);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_removeSource(NOXHandler *pHandler);
DLLIMPORTEXPORT void NAXResourceDictionary_setSource(NOXHandler *pHandler, NOXUriBase pObject);
DLLIMPORTEXPORT void NAXResourceDictionary_intialize(NOXHandler *pHandler);
DLLIMPORTEXPORT NOXHandler NAXResourceDictionary_getChild(NOXHandler *pHandler, NCommon::UInt32 pIndex);
DLLIMPORTEXPORT NCommon::UInt32 NAXResourceDictionary_getNumChilds(NOXHandler *pHandler);
}

namespace NiXPSObjects
{

using namespace NCommon;

/*!
 * \class NOXResourceDictionary NOXResourceDictionary.h "NOXPrefix.h"
 * Class NOXResourceDictionary
 */
class NOXResourceDictionary
{
	public:
		NOXHandler mHandler;
		NOXResourceDictionary()
		{
			NIXPS_TRACE;

			mHandler.mDoc=0;
			mHandler.mType=0;
			mHandler.mCursor=0;
			mHandler.mError=0;
		}
		NOXResourceDictionary(NOXHandler pHandler): mHandler(pHandler) {}

		/// Get ImageBrush element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXImageBrush NOXResourceDictionary::getImageBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getImageBrush(&mHandler, pIndex);
		}

		/// Calculate the number of ImageBrush elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumImageBrush()
		{
			return NAXResourceDictionary_getNumImageBrush(&mHandler);
		}

		/// Create an ImageBrush element at index pIndex
		/*public*/ NOXImageBrush NOXResourceDictionary::createImageBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createImageBrush(&mHandler, pIndex);
		}

		/// Delete an ImageBrush element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteImageBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteImageBrush(&mHandler, pIndex);
		}

		/// Get LinearGradientBrush element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXLinearGradientBrush NOXResourceDictionary::getLinearGradientBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getLinearGradientBrush(&mHandler, pIndex);
		}

		/// Calculate the number of LinearGradientBrush elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumLinearGradientBrush()
		{
			return NAXResourceDictionary_getNumLinearGradientBrush(&mHandler);
		}

		/// Create an LinearGradientBrush element at index pIndex
		/*public*/ NOXLinearGradientBrush NOXResourceDictionary::createLinearGradientBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createLinearGradientBrush(&mHandler, pIndex);
		}

		/// Delete an LinearGradientBrush element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteLinearGradientBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteLinearGradientBrush(&mHandler, pIndex);
		}

		/// Get RadialGradientBrush element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXRadialGradientBrush NOXResourceDictionary::getRadialGradientBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getRadialGradientBrush(&mHandler, pIndex);
		}

		/// Calculate the number of RadialGradientBrush elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumRadialGradientBrush()
		{
			return NAXResourceDictionary_getNumRadialGradientBrush(&mHandler);
		}

		/// Create an RadialGradientBrush element at index pIndex
		/*public*/ NOXRadialGradientBrush NOXResourceDictionary::createRadialGradientBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createRadialGradientBrush(&mHandler, pIndex);
		}

		/// Delete an RadialGradientBrush element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteRadialGradientBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteRadialGradientBrush(&mHandler, pIndex);
		}

		/// Get VisualBrush element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXVisualBrush NOXResourceDictionary::getVisualBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getVisualBrush(&mHandler, pIndex);
		}

		/// Calculate the number of VisualBrush elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumVisualBrush()
		{
			return NAXResourceDictionary_getNumVisualBrush(&mHandler);
		}

		/// Create an VisualBrush element at index pIndex
		/*public*/ NOXVisualBrush NOXResourceDictionary::createVisualBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createVisualBrush(&mHandler, pIndex);
		}

		/// Delete an VisualBrush element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteVisualBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteVisualBrush(&mHandler, pIndex);
		}

		/// Get SolidColorBrush element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXSolidColorBrush NOXResourceDictionary::getSolidColorBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getSolidColorBrush(&mHandler, pIndex);
		}

		/// Calculate the number of SolidColorBrush elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumSolidColorBrush()
		{
			return NAXResourceDictionary_getNumSolidColorBrush(&mHandler);
		}

		/// Create an SolidColorBrush element at index pIndex
		/*public*/ NOXSolidColorBrush NOXResourceDictionary::createSolidColorBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createSolidColorBrush(&mHandler, pIndex);
		}

		/// Delete an SolidColorBrush element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteSolidColorBrush(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteSolidColorBrush(&mHandler, pIndex);
		}

		/// Get MatrixTransform element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXMatrixTransform NOXResourceDictionary::getMatrixTransform(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getMatrixTransform(&mHandler, pIndex);
		}

		/// Calculate the number of MatrixTransform elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumMatrixTransform()
		{
			return NAXResourceDictionary_getNumMatrixTransform(&mHandler);
		}

		/// Create an MatrixTransform element at index pIndex
		/*public*/ NOXMatrixTransform NOXResourceDictionary::createMatrixTransform(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createMatrixTransform(&mHandler, pIndex);
		}

		/// Delete an MatrixTransform element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteMatrixTransform(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteMatrixTransform(&mHandler, pIndex);
		}

		/// Get PathGeometry element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXPathGeometry NOXResourceDictionary::getPathGeometry(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getPathGeometry(&mHandler, pIndex);
		}

		/// Calculate the number of PathGeometry elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumPathGeometry()
		{
			return NAXResourceDictionary_getNumPathGeometry(&mHandler);
		}

		/// Create an PathGeometry element at index pIndex
		/*public*/ NOXPathGeometry NOXResourceDictionary::createPathGeometry(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createPathGeometry(&mHandler, pIndex);
		}

		/// Delete an PathGeometry element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deletePathGeometry(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deletePathGeometry(&mHandler, pIndex);
		}

		/// Get Path element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXPath NOXResourceDictionary::getPath(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getPath(&mHandler, pIndex);
		}

		/// Calculate the number of Path elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumPath()
		{
			return NAXResourceDictionary_getNumPath(&mHandler);
		}

		/// Create an Path element at index pIndex
		/*public*/ NOXPath NOXResourceDictionary::createPath(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createPath(&mHandler, pIndex);
		}

		/// Delete an Path element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deletePath(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deletePath(&mHandler, pIndex);
		}

		/// Get Glyphs element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXGlyphs NOXResourceDictionary::getGlyphs(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getGlyphs(&mHandler, pIndex);
		}

		/// Calculate the number of Glyphs elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumGlyphs()
		{
			return NAXResourceDictionary_getNumGlyphs(&mHandler);
		}

		/// Create an Glyphs element at index pIndex
		/*public*/ NOXGlyphs NOXResourceDictionary::createGlyphs(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createGlyphs(&mHandler, pIndex);
		}

		/// Delete an Glyphs element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteGlyphs(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteGlyphs(&mHandler, pIndex);
		}

		/// Get Canvas element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXCanvas NOXResourceDictionary::getCanvas(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getCanvas(&mHandler, pIndex);
		}

		/// Calculate the number of Canvas elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumCanvas()
		{
			return NAXResourceDictionary_getNumCanvas(&mHandler);
		}

		/// Create an Canvas element at index pIndex
		/*public*/ NOXCanvas NOXResourceDictionary::createCanvas(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_createCanvas(&mHandler, pIndex);
		}

		/// Delete an Canvas element at index pIndex
		NCommon::UInt32 NOXResourceDictionary::deleteCanvas(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_deleteCanvas(&mHandler, pIndex);
		}

		/// Get the Source attribute
		void NOXResourceDictionary::getSource(NOString &pString)
		{
			NOXStringBase lString=pString.getHandler();
			NAXResourceDictionary_getSource(&mHandler, &lString);
			return;
		}

		/// Check for the availability of the Source attribute
		bool NOXResourceDictionary::hasSource()
		{
			return (NAXResourceDictionary_hasSource(&mHandler)!=0);
		}

		/// Removes the Source attribute
		bool NOXResourceDictionary::removeSource()
		{
			return (NAXResourceDictionary_removeSource(&mHandler)!=0);
		}

		/// Sets the Source attribute
		void NOXResourceDictionary::setSource(NOXUriBase pObject)
		{
			NAXResourceDictionary_setSource(&mHandler, pObject);
		}

		/// Initialize
		/*public*/ void intialize()
		{
			NAXResourceDictionary_intialize(&mHandler);
		}

		/// Get child element at index pIndex
		/// @param pIndex index of the element you want to get
		/*public*/ NOXBase NOXResourceDictionary::getChild(NCommon::UInt32 pIndex)
		{
			return NAXResourceDictionary_getChild(&mHandler, pIndex);
		}

		/// Calculate the number of child elements that are present
		NCommon::UInt32 NOXResourceDictionary::getNumChilds()
		{
			return NAXResourceDictionary_getNumChilds(&mHandler);
		}

};

}

#endif
