// NPlugIn
//
// plug-in interface
//
// (c) NiXPS NV, Februari 2008

#include <cstdio>

#include "NTypes.h"
#include "NPlugIn.h"

#include "Code.h"

#pragma GCC visibility push(default)
extern "C"
{

DLLIMPORTEXPORT void NPInit(NPInitStruct *pInit)
{
	initUI(pInit->mPath);
	
	pInit->mMajor=2;
	pInit->mMinor=0;
}

DLLIMPORTEXPORT void NPDestroy()
{
}

DLLIMPORTEXPORT void NPGetInfo(NPInfoStruct *pInfo)
{
	pInfo->mSize=sizeof(NPInfoStruct);
	pInfo->mID='nxEW';
	strncpy(pInfo->mKey,"NOKEY",pInfo->mKeyLen);
	strncpy(pInfo->mMenuName,"PlugIn Example v1.0",pInfo->mMenuNameLen);
}

DLLIMPORTEXPORT void NPGetInterface(NPInterfaceStruct *pInterface)
{
	pInterface->Open=openUI;
	pInterface->Close=closeUI;
	pInterface->Event=processEvent;	
	logMessage("Plug-in started");
}

}
#pragma GCC visibility pop
