// NOFontVector
//
// (c) NiXPS NV, June 2007

/*! \file NOFontVector.cpp
    \brief Implementation of the NOFontVector class
*/

#include "NOFontVector.h"

namespace NiXPSObjects
{
// constructor
NOFontVector::NOFontVector(NOPackage &pPackage): NOVector(&pPackage)
{
}

// destructor
NOFontVector::~NOFontVector()
{
}

// returns the font at index pIndex
NOFont NOFontVector::elementAt(const UInt32 pIndex) const
{
	NOFontHandler lHandler=NOHandler_empty();
	lHandler.mPackage=mHandler.mPackage;
	lHandler.mID=getPartIDAtIndex(pIndex);
	lHandler.mType=Part::Font;
	return NOFont(lHandler);
}
}