// NOProgressReporter.cpp
//
// NOProgressReporter
//			
// (c) NiXPS NV, July 2007

/*! \file NOProgressReporter.cpp
    \brief Implementation of the NOProgressReporter class
*/

#include <iostream>

#include "NTypes.h"
#include "NOProgressReporter.h"

namespace NiXPSObjects
{

// doC# public NiXPS.NOProgressReporterHandler mHandler;

static void NOProgressReporterVoidCastFunction(void *pHandle, NCommon::UInt32 pValue, NCommon::UInt32 pMaximumValue) // noC#
{ // noC#
	NOProgressReporter *lReporter = reinterpret_cast<NOProgressReporter *>(pHandle); // noC#
	lReporter->setMaximum(pMaximumValue);	// noC#
	lReporter->UpdateStatus(pValue); // noC#
} // noC#
 // noC#
NOReporterUpdateFunction sNOProgressReporterFunction = NOProgressReporterVoidCastFunction; // noC#

NOProgressReporter::NOProgressReporter()
{
	mHandler.mFunction = sNOProgressReporterFunction; // noC#
	mHandler.mHandler  = this; // noC#

	mMaximum=100; // noC#
}

NOProgressReporter::~NOProgressReporter()
{
}

NOProgressReporterHandler NOProgressReporter::getHandler()
{
	return mHandler;
}

void NOProgressReporter::UpdateStatus(NCommon::UInt32 pValue)
{
}

}
